### Constructor

# Dex Future new_take_variant

#### Declaration [src]

    DexFuture*
    dex_future_new_take_variant (
      GVariant* v_variant
    )

#### Description [src]

Creates a new `DexFuture` that is resolved with `v_variant`.

This method is not directly available to language bindings.

#### Parameters

`v_variant`

  Type: `GVariant`

  The variant to take ownership of.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.